%global commit 60eee8c3b1e4105349fd5bda663dfe78b7c5bbb1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global stackname common_msgs

Name:           ros-%{stackname}
Version:        1.8.13
Release:        2.20130605git%{shortcommit}%{?dist}
Summary:        Common ROS Messages

License:        BSD
URL:            http://www.ros.org/wiki/common_msgs
Source0:        https://github.com/ros/%{stackname}/archive/%{commit}/%{stackname}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  ros-std_msgs-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  catkin-devel
BuildRequires:  python-genmsg-devel
BuildRequires:  python-gencpp-devel
BuildRequires:  python-genlisp-devel
BuildRequires:  python-genpy-devel

# Require all of the packages in the stack
Requires:       ros-actionlib_msgs
Requires:       ros-diagnostic_msgs
Requires:       ros-geometry_msgs
Requires:       ros-nav_msgs
Requires:       ros-sensor_msgs
Requires:       ros-shape_msgs
Requires:       ros-stereo_msgs
Requires:       ros-trajectory_msgs
Requires:       ros-visualization_msgs

%description
common_msgs contains messages that are widely used by other ROS packages. 
These includes messages for actions (actionlib_msgs), diagnostics 
(diagnostic_msgs), geometric primitives (geometry_msgs), robot navigation 
(nav_msgs), and common sensors (sensor_msgs), such as laser range finders, 
cameras, point clouds.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: ros-actionlib_msgs-devel
Requires: ros-diagnostic_msgs-devel
Requires: ros-geometry_msgs-devel
Requires: ros-nav_msgs-devel
Requires: ros-sensor_msgs-devel
Requires: ros-shape_msgs-devel
Requires: ros-stereo_msgs-devel
Requires: ros-trajectory_msgs-devel
Requires: ros-visualization_msgs-devel
%description devel
%{summary}.

%package -n ros-actionlib_msgs
Summary:  Messages for the actionlib ROS package
%description -n ros-actionlib_msgs
actionlib_msgs defines the common messages to interact with an action server 
and an action client.

%package -n ros-actionlib_msgs-devel
Summary:  Development files for ros-actionlib_msgs
Requires: ros-actionlib_msgs = %{version}-%{release}
%description -n ros-actionlib_msgs-devel
%{summary}.

%package -n ros-diagnostic_msgs
Summary:  Messages for the diagnostic ROS package
%description -n ros-diagnostic_msgs
This package holds the diagnostic messages which provide the standardized 
interface for the diagnostic and runtime monitoring systems in ROS. These 
messages are currently used by the diagnostics Stack, which provides 
libraries for simple ways to set and access the messages, as well as 
automated ways to process the diagnostic data. 

%package -n ros-diagnostic_msgs-devel
Summary:  Development files for ros-diagnostic_msgs
Requires: ros-diagnostic_msgs = %{version}-%{release}
%description -n ros-diagnostic_msgs-devel
%{summary}.

%package -n ros-geometry_msgs
Summary:  Messages for the geometry ROS package
%description -n ros-geometry_msgs
geometry_msgs provides messages for common geometric primitives such as 
points, vectors, and poses. These primitives are designed to provide a 
common data type and facilitate interoperability throughout the system.

%package -n ros-geometry_msgs-devel
Summary:  Development files for ros-geometry_msgs
Requires: ros-geometry_msgs = %{version}-%{release}
%description -n ros-geometry_msgs-devel
%{summary}.

%package -n ros-nav_msgs
Summary:  Messages for the nav ROS package
%description -n ros-nav_msgs
nav_msgs defines the common messages used to interact with the 
navigation stack.

%package -n ros-nav_msgs-devel
Summary:  Development files for ros-nav_msgs
Requires: ros-nav_msgs = %{version}-%{release}
%description -n ros-nav_msgs-devel
%{summary}.

%package -n ros-sensor_msgs
Summary:  Messages for the sensor ROS package
%description -n ros-sensor_msgs
This package defines messages for commonly used sensors, including cameras 
and scanning laser rangefinders.

%package -n ros-sensor_msgs-devel
Summary:  Development files for ros-sensor_msgs
Requires: ros-sensor_msgs = %{version}-%{release}
%description -n ros-sensor_msgs-devel
%{summary}.

%package -n ros-shape_msgs
Summary:  Messages for the shape ROS package
%description -n ros-shape_msgs
This package defines messages for commonly used shapes.

%package -n ros-shape_msgs-devel
Summary:  Development files for ros-shape_msgs
Requires: ros-shape_msgs = %{version}-%{release}
%description -n ros-shape_msgs-devel
%{summary}.

%package -n ros-stereo_msgs
Summary:  Messages for the stereo ROS package
%description -n ros-stereo_msgs
stereo_msgs contains messages specific to stereo processing, such as 
disparity images.

%package -n ros-stereo_msgs-devel
Summary:  Development files for ros-stereo_msgs
Requires: ros-stereo_msgs = %{version}-%{release}
%description -n ros-stereo_msgs-devel
%{summary}.

%package -n ros-trajectory_msgs
Summary:  Messages for the trajectory ROS package
%description -n ros-trajectory_msgs
This package defines messages for defining trajectories

%package -n ros-trajectory_msgs-devel
Summary:  Development files for ros-trajectory_msgs
Requires: ros-trajectory_msgs = %{version}-%{release}
%description -n ros-trajectory_msgs-devel
%{summary}.

%package -n ros-visualization_msgs
Summary:  Messages for the visualization ROS package
%description -n ros-visualization_msgs
visualization_msgs is a set of messages used by higher level packages, such 
as rviz, that deal in visualization-specific data. The main messages in 
visualization_msgs is visualization_msgs/Marker. The marker message is used 
to send visualization "markers" such as boxes, spheres, arrows, lines, etc. 
to a visualization environment such as rviz. See the rviz tutorial rviz 
tutorials for more information.

%package -n ros-visualization_msgs-devel
Summary:  Development files for ros-visualization_msgs
Requires: ros-visualization_msgs = %{version}-%{release}
%description -n ros-visualization_msgs-devel
%{summary}.

%prep
%setup -qn %{stackname}-%{commit}

%build
mkdir build
pushd build
%cmake \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  -DCATKIN_BUILD_BINARY_PACKAGE="1" \
  ..
popd

%install
make -C build install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/* %{buildroot}%{_datadir}/pkgconfig/

%files
%{_datadir}/%{stackname}

%files -n ros-actionlib_msgs
%{_datadir}/actionlib_msgs
%{_datadir}/common-lisp/ros/actionlib_msgs
%{python_sitelib}/actionlib_msgs

%files -n ros-actionlib_msgs-devel
%{_includedir}/actionlib_msgs
%{_datadir}/pkgconfig/actionlib_msgs.pc

%files -n ros-diagnostic_msgs
%{_datadir}/diagnostic_msgs
%{_datadir}/common-lisp/ros/diagnostic_msgs
%{python_sitelib}/diagnostic_msgs

%files -n ros-diagnostic_msgs-devel
%{_includedir}/diagnostic_msgs
%{_datadir}/pkgconfig/diagnostic_msgs.pc

%files -n ros-geometry_msgs
%{_datadir}/geometry_msgs
%{_datadir}/common-lisp/ros/geometry_msgs
%{python_sitelib}/geometry_msgs

%files -n ros-geometry_msgs-devel
%{_includedir}/geometry_msgs
%{_datadir}/pkgconfig/geometry_msgs.pc

%files -n ros-nav_msgs
%{_datadir}/nav_msgs
%{_datadir}/common-lisp/ros/nav_msgs
%{python_sitelib}/nav_msgs

%files -n ros-nav_msgs-devel
%{_includedir}/nav_msgs
%{_datadir}/pkgconfig/nav_msgs.pc

%files -n ros-sensor_msgs
%{_datadir}/sensor_msgs
%{_datadir}/common-lisp/ros/sensor_msgs
%{python_sitelib}/sensor_msgs

%files -n ros-sensor_msgs-devel
%{_includedir}/sensor_msgs
%{_datadir}/pkgconfig/sensor_msgs.pc

%files -n ros-shape_msgs
%{_datadir}/shape_msgs
%{_datadir}/common-lisp/ros/shape_msgs
%{python_sitelib}/shape_msgs

%files -n ros-shape_msgs-devel
%{_includedir}/shape_msgs
%{_datadir}/pkgconfig/shape_msgs.pc

%files -n ros-stereo_msgs
%{_datadir}/stereo_msgs
%{_datadir}/common-lisp/ros/stereo_msgs
%{python_sitelib}/stereo_msgs

%files -n ros-stereo_msgs-devel
%{_includedir}/stereo_msgs
%{_datadir}/pkgconfig/stereo_msgs.pc

%files -n ros-trajectory_msgs
%{_datadir}/trajectory_msgs
%{_datadir}/common-lisp/ros/trajectory_msgs
%{python_sitelib}/trajectory_msgs

%files -n ros-trajectory_msgs-devel
%{_includedir}/trajectory_msgs
%{_datadir}/pkgconfig/trajectory_msgs.pc

%files -n ros-visualization_msgs
%{_datadir}/visualization_msgs
%{_datadir}/common-lisp/ros/visualization_msgs
%{python_sitelib}/visualization_msgs

%files -n ros-visualization_msgs-devel
%{_includedir}/visualization_msgs
%{_datadir}/pkgconfig/visualization_msgs.pc

%changelog
* Thu Jul 25 2013 Rich Mattes <richmattes@gmail.com> - 1.8.13-2.20130605git60eee8c
- Fix BuildRequires to point to correct package names

* Wed Jun 05 2013 Rich Mattes <richmattes@gmail.com> - 1.8.13-1.20130605git60eee8c
- Initial package
